Retrieve an address balance

This API is a request to retrieve native coin or token balance of a specific address or for a paginated list of addresses in your deposit wallet.

This API doesn't retrieve a list of address balances. To retrieve balance of an entire wallet, use the Retrieve a wallet balance API.

For Stellar, Cosmos, and Ripple chains, which only have a single address per wallet, use the Retrieve a wallet balance API instead.

This API reference helps retrieve the native coin and token balance of a wallet’s address only, such as in case of a deposit wallet. It retrieves the coin or token balance using either the address (wallet address) field or a paginated list of addresses using the pagination object’s pageNumber and pageSize fields.

  • We recommend using this API when you want to retrieve the balance of a deposit wallet’s list of addresses.
  • In case you want to request the total wallet balance, i.e., including both native coins and tokens for all addresses in the wallet, we recommend using the Retrieve a wallet balance API. Example: For Stellar, Cosmos, and Ripple chains, which only have a single address per wallet.

While all liminal supported chains support firewall for Mobile MPC Wallets, please refer to the latest supported chains for hot V2 wallets supporting firewall.

API use cases

You can use the API to retrieve the balance of either native coins or tokens from a single address or a list of addresses, as explained in the following use cases.

Retrieve native coin balance

  1. Single address query: You can retrieve native coin balance for a single address.
    Ensure to add the following entries: wallet.coin, wallet.walletID, getAddressBalanceOption.address and getAddressBalanceOption.isTokenBalance.
    Returns only native coin balance when "isTokenBalance": false.

    {
      "wallet": {
        "coin": "eth",
        "walletId": 40787,
        "allToken": false
      },
      "getAddressBalanceOption": {
        "pagination": {
          "pageNumber": 1,
          "pageSize": 5
        },
        "isTokenBalance": false
      }
    }

  2. Paginated address query (for Deposit wallet): You can retrieve both the native coin and token balance for a paginated list of addresses.
    Ensure to add the following entries: wallet.coin, wallet.walletID, getAddressBalanceOption.pagination.pageNumber and getAddressBalanceOption.pagination.pageSize.
    Returns only native coin balance when "isTokenBalance": false.

    {
        "wallet":{
            "coin": "eth",
            "walletId":1
        },
        "getAddressBalanceOption":{
            "pagination":{
                        "pageNumber":1,
                        "pageSize":10
                    },
            "isTokenBalance":false
        }
    }

Retrieve token balance

  • Single address query: You can retrieve both the native coin and token balance for a single address. Ensure to add the following entries: wallet.coin, wallet.walletID, getAddressBalanceOption.address and getAddressBalanceOption.isTokenBalance.
    Returns both native coin and token balance when "isTokenBalance": true.

    {
      "wallet": {
        "coin": "sol",
        "allToken": true,
        "walletId": 40727
      },
      "getAddressBalanceOption": {
        "pagination": {
          "pageNumber": 1,
          "pageSize": 5
        },
        "isTokenBalance": true,
        "address": "8oqALrZMK28qYAqHdAiDcUDTEw2ELCtNpns8QPfMQk9u"
      }
    }

  • Paginated address query: You can retrieve both the native coin and token balance for a paginated list of addresses.
    Ensure to add the following entries: wallet.coin, wallet.walletID, getAddressBalanceOption.pagination.pageNumber and getAddressBalanceOption.pagination.pageSize.
    Returns only native coin balance when "isTokenBalance": true.

    {
        "wallet":{
            "coin": "eth",
            "walletId":1
        },
        "getAddressBalanceOption":{
            "pagination":{
                        "pageNumber":1,
                        "pageSize":10
                    },
            "isTokenBalance":true
        }
    }

Body Params
wallet
object
required
getAddressBalanceOption
object
required
Headers
string
enum
Defaults to application/json; charset=utf-8

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8
application/json